import { Compiler } from "webpack";
export declare type RendererArgs = {
    assets: {
        [key: string]: string[] | undefined;
    };
    compilationAssets: {
        [key: string]: import("webpack-sources").CachedSource;
    };
    filename: string;
    path: string;
    publicPath: string;
    stats: ReturnType<import("webpack").Stats["toJson"]>;
};
export declare type Renderer = (args: Partial<RendererArgs>) => string | Promise<string>;
export declare type Options = Partial<{
    hot: boolean;
    paths: Array<string>;
    renderer: Renderer;
}>;
export default class HtmlRendererWebpackPlugin {
    private readonly hot;
    private readonly paths;
    private readonly renderer;
    constructor(options?: Options);
    private plugin;
    apply(compiler: Compiler): void;
}
